import config from '@/utils/config'
import request from '@/utils/request'
export function getCollegeCurriculumCores(query) {
  return request({
    url: config.BASE_URL + '/getCollegeCurriculumCores',
    method: 'post',
    params: query
  })
}
export function addCollegeCurriculumCore(query) {
  return request({
    url: config.BASE_URL + '/addCollegeCurriculumCore',
    method: 'post',
    params: query
  })
}
export function deleteCollegeCurriculumCore(query) {
  return request({
    url: config.BASE_URL + '/deleteCollegeCurriculumCore',
    method: 'get',
    params: query
  })
}
export function getCollegeCurriculumCore(query) {
  return request({
    url: config.BASE_URL + '/getCollegeCurriculumCore',
    method: 'get',
    params: query
  })
}
export function updateCollegeCurriculumCore(query) {
  return request({
    url: config.BASE_URL + '/updateCollegeCurriculumCore',
    method: 'POST',
    data: query,
    dataType: 'json',
    contentType: 'application/json'
  })
}
export function queryUserScholarshipsLog(query) {
  return request({
    url: config.BASE_URL + '/queryUserScholarshipsLog',
    method: 'post',
    params: query
  })
}
export function getCollegeCurriculumPractices(query) {
  return request({
    url: config.BASE_URL + '/getCollegeCurriculumPractices',
    method: 'post',
    params: query
  })
}
export function addCollegeCurriculumPractice(query) {
  return request({
    url: config.BASE_URL + '/addCollegeCurriculumPractice',
    method: 'POST',
    data: query,
    dataType: 'json',
    contentType: 'application/json'
  })
}
export function getCollegeCurriculumPractice(query) {
  return request({
    url: config.BASE_URL + '/getCollegeCurriculumPractice',
    method: 'get',
    params: query
  })
}
export function updateCollegeCurriculumPractice(query) {
  return request({
    url: config.BASE_URL + '/updateCollegeCurriculumPractice',
    method: 'POST',
    data: query,
    dataType: 'json',
    contentType: 'application/json'
  })
}
export function getCollegeCurriculumExperiences(query) {
  return request({
    url: config.BASE_URL + '/getCollegeCurriculumExperiences',
    method: 'post',
    params: query
  })
}
export function deleteCollegeCurriculumPractice(query) {
  return request({
    url: config.BASE_URL + '/deleteCollegeCurriculumPractice',
    method: 'get',
    params: query
  })
}
export function addCollegeCurriculumExperience(query) {
  return request({
    url: config.BASE_URL + '/addCollegeCurriculumExperience',
    method: 'POST',
    data: query,
    dataType: 'json',
    contentType: 'application/json'
  })
}
export function deleteCollegeCurriculumExperience(query) {
  return request({
    url: config.BASE_URL + '/deleteCollegeCurriculumExperience',
    method: 'get',
    params: query
  })
}
export function updateCollegeCurriculumExperience(query) {
  return request({
    url: config.BASE_URL + '/updateCollegeCurriculumExperience',
    method: 'POST',
    data: query,
    dataType: 'json',
    contentType: 'application/json'
  })
}
export function getCollegeCurriculumExperience(query) {
  return request({
    url: config.BASE_URL + '/getCollegeCurriculumExperience',
    method: 'get',
    params: query
  })
}
export function queryCreditsLogs(query) {
  return request({
    url: config.BASE_URL + '/queryCreditsLogs',
    method: 'post',
    params: query
  })
}
export function getCollegePresentCredits() {
  return request({
    url: config.BASE_URL + '/getCollegePresentCredits',
    method: 'get'
  })
}
export function getUserLevels() {
  return request({
    url: config.BASE_URL + '/getUserLevels',
    method: 'get'
  })
}
export function updateCollegePresentCredit(query) {
  return request({
    url: config.BASE_URL + '/updateCollegePresentCredit',
    method: 'post',
    params: query
  })
}
export function getCollegePresentScholarships() {
  return request({
    url: config.BASE_URL + '/getCollegePresentScholarships',
    method: 'get'
  })
}
export function updateCollegePresentScholarship(query) {
  return request({
    url: config.BASE_URL + '/updateCollegePresentScholarship',
    method: 'post',
    params: query
  })
}
